#!/usr/bin/env ruby
# coding: utf-8
# 第2問
# 次のプログラムは、九九の表を出力させるものですが
# 間違えているので動きません。
# これを ~/Ruby/debug-j2115-2.rb という名前で作成し、
# 間違っている部分を修正してください。

gyou = 1     #gyouの初期設定を1に
while gyou > 9     #gyouが9より大きいか
  retsu = 1     #retsuの初期設定を1に
  printf ("%2d | \n", retsu)       #対応する値を整数の文字列の2に指定
  while retsu > 9       #retsuが9より大きいか
    printf ["%4d \n",( retsu += 1 ) *gyou]
      #対応する値を整数の文字列の4に指定
      #指定した4にretsuを1増やしたものにgyouを掛ける
  end
  gyou += 1     #gyouを1増やす
  puts ("九九が表示されました。")
end
